#
# spec file for package R-rlang
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global packname  rlang
%global rlibdir   %{_libdir}/R/library
Name:           R-%{packname}
Version:        0.4.0
Release:        bp153.1.18
Summary:        Functions for Base Types and Core R and 'Tidyverse' Features
License:        GPL-3.0-only
Group:          Development/Libraries/Other
URL:            http://cran.r-project.org/web/packages/%{packname}
Source:         http://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz
BuildRequires:  R-base-devel
BuildRequires:  fdupes
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  gcc-fortran
BuildRequires:  texinfo
BuildRequires:  texlive
Requires:       R-base

%description
A toolbox for working with base types, core R features like the condition
system, and core 'Tidyverse' features like tidy evaluation.

%prep
%setup -q -c -n %{packname}

%build

%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/rlang/html
%{rlibdir}/rlang/libs
%{rlibdir}/rlang/Meta
%{rlibdir}/rlang/INDEX
%{rlibdir}/rlang/NAMESPACE
%{rlibdir}/rlang/DESCRIPTION
%{rlibdir}/rlang/R
%{rlibdir}/rlang/help
%{rlibdir}/rlang/NEWS.md

%changelog
* Mon Jul  1 2019 Pierre Bonamy <flyos@mailoo.org>
- Update to 0.4.0:
  * Interpolate function inputs with the curly-curly operator `{{`
  * More robust .env pronoun
  * New functions (pairlist2(), is_bool()) and features
  * Bugfixes and small improvements
  * More at:
  https://cran.r-project.org/web/packages/rlang/news/news.html
* Mon May 27 2019 Pierre Bonamy <flyos@mailoo.org>
- Update to 0.3.4
* Fri Feb  8 2019 Pierre Bonamy <flyos@mailoo.org>
- Update to 0.3.1
* Thu Dec 20 2018 mailaender@opensuse.org
- Update to version 0.3.0.1
* Mon Sep 17 2018 Todd R <toddrme2178@gmail.com>
- Update to version 0.2.2. See changelog at:
  https://cran.r-project.org/web/packages/rlang/news/news.html
- Run spec file through R2spec.
- Run spec file through spec-cleaner.
- Various other spec file cleanups.
* Mon Apr  9 2018 flyos@mailoo.org
- Update to 0.2.0
- Removed "Suggests" as dependencies
- Removed %%check
* Wed Mar 28 2018 darin@darins.net
- added gcc-c++ build dependency
* Tue Mar 13 2018 mailaender@opensuse.org
- Enable checks
* Sun Dec  3 2017 flyos@mailoo.org
- Update to 0.1.4
* Wed Oct  4 2017 flyos@mailoo.org
- Initial build
